package http_model

import (
	"time"
)

type SupplierToWithdrawListRequest struct {
	SupplierId int   `json:"supplier_id"` // 服务商ID
	PageNum    int32 `json:"page_num"`
	PageSize   int32 `json:"page_size"`
}

type SupplierToWithdrawListData struct {
	ToWithdrawList []*SupplierToWithdrawInfo `json:"to_withdraw_list"` // 待提现收入列表
	Total          int64                     `json:"total"`            // 数量
}

type SupplierToWithdrawInfo struct {
	STaskInfo []*STaskInfo `json:"s_task_info"` // 任务信息
	Amount    float64      `json:"amount"`      // 回票金额
	AgreeTime *time.Time   `json:"agree_time"`  // 同意时间
	Company   string       `json:"company"`     // 公司名称
}

func NewSupplierToWithdrawListRequest() *SupplierToWithdrawListRequest {
	return new(SupplierToWithdrawListRequest)
}

func NewSupplierToWithdrawListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(SupplierToWithdrawListData)
	return resp
}
